# Face Editor

## CLI Arguments

### Face Editor Model

Choose the model responsible for editing the face.

Argument: `--face-editor-model`

Default: `live_portrait`

Choices:

* &#x20;`live_portrait`

Example: `--face-editor-model live_portrait`

### Face Editor Eyebrow Direction

Specify the eyebrow direction.

Argument: `--face-editor-eyebrow-direction`

Default: `0`

Range: `-1.0` to `1.0` at `0.05`

Example: `--face-editor-eyebrow-direction 0.5`

### Face Editor Eye Gaze Horizontal

Specify the horizontal eye gaze.

Argument: `--face-editor-eye-gaze-horizontal`

Default: `0`

Range: `-1.0` to `1.0` at `0.05`

Example: `--face-editor-eye-gaze-horizontal 0.5`

### Face Editor Eye Gaze Vertical

Specify the vertical eye gaze.

Argument: `--face-editor-eye-gaze-vertical`

Default: `0`

Range: `-1.0` to `1.0` at `0.05`

Example: `--face-editor-eye-gaze-vertical 0.5`

### Face Editor Eye Open Ratio

Specify the ratio of eye opening.

Argument: `--face-editor-eye-open-ratio`

Default: `0`

Range: `-1.0` to `1.0` at `0.05`

Example: `--face-editor-eye-open-ration 0.5`

### Face Editor Lip Open Ratio

Specify the ratio of lip opening.

Argument: `--face-editor-lip-open-ratio`

Default: `0`

Range: `-1.0` to `1.0` at `0.05`

Example: `--face-editor-lip-open-ration 0.5`

### Face Editor Mouth Grim

Specify the mouth grim.

Argument: `--face-editor-mouth-grim`

Default: `0`

Range: `-1.0` to `1.0` at `0.05`

Example: `--face-editor-mouth-grim 0.5`

### Face Editor Mouth Pout

Specify the mouth pout.

Argument: `--face-editor-mouth-pout`

Default: `0`

Range: `-1.0` to `1.0` at `0.05`

Example: `--face-editor-mouth-pout 0.5`

### Face Editor Mouth Purse

Specify the mouth purse.

Argument: `--face-editor-mouth-purse`

Default: `0`

Range: `-1.0` to `1.0` at `0.05`

Example: `--face-editor-mouth-purse 0.5`

### Face Editor Mouth Smile

Specify the mouth smile.

Argument: `--face-editor-mouth-smile`

Default: `0`

Range: `-1.0` to `1.0` at `0.05`

Example: `--face-editor-mouth-smile 0.5`

### Face Editor Mouth Position Horizontal

Specify the horizontal mouth position.

Argument: `--face-editor-mouth-position-horizontal`

Default: `0`

Range: `-1.0` to `1.0` at `0.05`

Example: `--face-editor-mouth-position-horizontal 0.5`

### Face Editor Mouth Position Vertical

Specify the vertical mouth position.

Argument: `--face-editor-mouth-position-vertical`

Default: `0`

Range: `-1.0` to `1.0` at `0.05`

Example: `--face-editor-mouth-position-vertical 0.5`

### Face Editor Head Pitch

Specify the head pitch.

Argument: `--face-editor-head-pitch`

Default: `0`

Range: `-1.0` to `1.0` at `0.05`

Example: `--face-editor-head-pitch 0.5`

### Face Editor Head Yaw

Specify the head yaw.

Argument: `--face-editor-head-yaw`

Default: `0`

Range: `-1.0` to `1.0` at `0.05`

Example: `--face-editor-head-yaw 0.5`

### Face Editor Head Roll

Specify the head roll.

Argument: `--face-editor-head-roll`

Default: `0`

Range: `-1.0` to `1.0` at `0.05`

Example: `--face-editor-head-roll 0.5`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

```ini
[processors]
face_editor_model = live_portrait
face_editor_eyebrow_direction = 0.5
face_editor_eye_gaze_horizontal = 0.5
face_editor_eye_gaze_vertical = 0.5
face_editor_eye_open_ratio = 0.5
face_editor_lip_open_ratio = 0.5
face_editor_mouth_grim = 0.5
face_editor_mouth_pout = 0.5
face_editor_mouth_purse = 0.5
face_editor_mouth_smile = 0.5
face_editor_mouth_position_horizontal = 0.5
face_editor_mouth_position_vertical = 0.5
face_editor_head_pitch = 0.5
face_editor_head_yaw = 0.5
face_editor_head_roll = 0.5
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.facefusion.io/usage/cli-arguments/processors/face-editor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
